#!/bin/sh

if [ $# -eq 0 ]; then
	echo "Usage:";
	echo "  $0 <ver>";
	exit 1;
fi

echo "Deleting version $1";

VER=$1
REL=1

del_file()
{
	if [ -e $1 ]; then
		echo "Deleting: $1";
		rm -f $1;
		#ls -la $1;
	fi

	if [ -h $1 ]; then
		echo "Deleting link: $1";
		rm -f $1;
	fi
}

grab()
{
	del_file $VER/MySQL-${1}-${VER}-${REL}.glibc23.i386.rpm
        del_file ./MySQL-${1}-${VER}-${REL}.glibc23.i386.rpm
}

grab64()
{
	del_file 64-bit/$VER/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm
	del_file ./64-bit/MySQL-${1}-${VER}-${REL}.glibc23.x86_64.rpm
}

doDebian()
{
	del_file ${2}/mysql-${VER}-linux-${1}.tar.gz
}

doMain()
{
        for i in server client devel shared; do
        {
                echo "deleting $i ...";
                grab $i
                grab64 $i
        };
        done;
}

CWD=`pwd`

rm -rf $VER
rm -rf 64-bit/$VER

doMain
cd $CWD
doDebian i686 debian
cd $CWD
doDebian x86_64 debian/64-bit
cd $CWD

del_file  mysql-${VER}.tar.gz

echo "after deletion, found the following:";
find | grep $VER

exit 0;

